package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag203;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.mt2XXAbsCreator.MT203AbsCreator;

/**
 * @author huangmengyuan
 * @create 2023/2/27
 */
public class Tag21Creator extends AbsTagCreate {
    private MT203AbsCreator MT203AbsCreator;

    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.MT203AbsCreator = (MT203AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = MT203AbsCreator.getRelatedReference();
        MT203AbsCreator.set("21",tag21Value);
    }

}
